package com.heyu.api.data.service.impl.calca;
/**
* <p>
* 用户token表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-01
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.calca.CalcaTokenDao;
import com.heyu.api.data.entity.calca.CalcaTokenEntity;
import com.heyu.api.data.service.calca.CalcaTokenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CalcaTokenServiceImpl extends ServiceImpl<CalcaTokenDao, CalcaTokenEntity> implements CalcaTokenService {


    @Autowired
	private CalcaTokenDao calcaTokenDao;



	@Override
	public CalcaTokenEntity selectCalcaTokenById(Long id){
		return calcaTokenDao.selectCalcaTokenById(id);
	}



	@Override
	public Long insertCalcaToken(CalcaTokenEntity calcaToken){
		return calcaTokenDao.insertCalcaToken(calcaToken);
	}



	@Override
	public Long insertOrUpdateCalcaToken(CalcaTokenEntity calcaToken){
		return calcaTokenDao.insertOrUpdateCalcaToken(calcaToken);
	}



	@Override
	public int updateCalcaTokenById(CalcaTokenEntity calcaToken){
		return calcaTokenDao.updateCalcaTokenById(calcaToken);
	}



	@Override
	public int updateCoverCalcaTokenById(CalcaTokenEntity calcaToken){
		return calcaTokenDao.updateCoverCalcaTokenById(calcaToken);
	}



	@Override
	public int deleteCalcaTokenById(Long id){
		return calcaTokenDao.deleteCalcaTokenById(id);
	}

	@Override
	public CalcaTokenEntity selectCalcaTokenByTokenUserName(String token, String userName) {
		return calcaTokenDao.selectCalcaTokenByTokenUserName(token,userName);
	}

	@Override
	public List<CalcaTokenEntity> selectCalcaTokenByUserNameAvailable(String userName, Integer available) {
		return calcaTokenDao.selectCalcaTokenByUserNameAvailable(userName, available);
	}


}
